Memory Stores
Search memories
Searches the specified memory store for memories relevant to the provided conversation context.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
The name of the memory store to search.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
scope
string
necessario
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Items for which to search for relevant memories.
previous_search_id
string
The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.
options
MemorySearchOptions
Memory search options.
max_memories
integer
Maximum number of memory items to return.
Risposte
The request has succeeded.
Corpo
search_id
string
necessario
The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.
memories
MemorySearchItem[]
necessario
Related memory items found during the search operation.
usage
MemoryStoreOperationUsage
necessario
Usage statistics of a memory store operation.
embedding_tokens
integer
necessario
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
necessario
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
necessario
Richiedi
POST /memory_stores/{name}:search_memories HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json